summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorDan Allen <dan.j.allen@gmail.com>2014-08-17 23:30:42 -0600
committerDan Allen <dan.j.allen@gmail.com>2014-08-17 23:32:01 -0600
commit1b84b5f13ac6da6e5798f39ebf81feee44592010 (patch)
treef845dacf61af7b422160a9542e64dd72b1c6af7d /bin
parent6e16ba5a91f6b7b580e039801008df985282e48e (diff)
add support for version flag to aid with setup
Diffstat (limited to 'bin')
-rwxr-xr-xbin/asciidoctor-pdf7
1 files changed, 7 insertions, 0 deletions
diff --git a/bin/asciidoctor-pdf b/bin/asciidoctor-pdf
index d7037b07..63c66b44 100755
--- a/bin/asciidoctor-pdf
+++ b/bin/asciidoctor-pdf
@@ -1,5 +1,12 @@
#!/usr/bin/env ruby
+if ARGV[0] == '--version' || (ARGV[0] == '-v' && ARGV.size == 1)
+ require_relative '../lib/asciidoctor-pdf/version'
+ puts %(Asciidoctor PDF #{Asciidoctor::Pdf::VERSION} [http://asciidoctor.org]
+Runtime Environment (#{RUBY_DESCRIPTION}))
+ exit 0
+end
+
attributes = %w(idprefix=@ listing-caption=Listing@ buildfor-editor)
while ARGV[0] == '-a'
ARGV.shift